---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: wekan
  namespace: stackspin-apps
spec:
  releaseName: wekan
  chart:
    spec:
      chart: wekan
      version: 1.1.0
      sourceRef:
        kind: HelmRepository
        name: wekan
        namespace: flux-system
  interval: 1h
  install:
    timeout: 30m
  valuesFrom:
    - kind: ConfigMap
      name: stackspin-wekan-values
      optional: false
    # Allow overriding values by ConfigMap or Secret
    - kind: ConfigMap
      name: stackspin-wekan-override
      optional: true
    - kind: Secret
      name: stackspin-wekan-override
      optional: true
